#ifndef INCLUDED_VIEWER_FB
#define INCLUDED_VIEWER_FB

#include "fb.h"
#include "ViewerDevice.h"

class ViewerFB : public ViewerDevice {
public:
    ViewerFB(TaskManager *manager) {};
    ViewerFB();
    virtual ~ViewerFB();
    ScreenInfo screen_info ;

    /* override function */
    Uint32 *video_init(TaskManager *manager, int bpp, int width, int height);
    void clean_pixels(void);
    void clear_screen();
    void free_device();
};

#endif
